# Uses of Interface
org.eclipse.team.ui.synchronize.ISynchronizeScope

Packages that use ISynchronizeScope
Package
Description
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.

## Uses of ISynchronizeScope in org.eclipse.team.ui.synchronize

Classes in org.eclipse.team.ui.synchronize that implement ISynchronizeScope
Modifier and Type
Class
Description
`class`
`AbstractSynchronizeScope`
Abstract superclass of resource scopes for `SubscriberParticipant` instances.
`class`
`ResourceScope`
A synchronize scope whose roots are a set of resources.
`class`
`WorkingSetScope`
A synchronize scope whose roots are defined by a working set.
`class`
`WorkspaceScope`
A synchronize scope whose roots are the workspace.
Methods in org.eclipse.team.ui.synchronize that return ISynchronizeScope
Modifier and Type
Method
Description
`protected static ISynchronizeScope`
AbstractSynchronizeScope.`createScope(IMemento settings)`
Restore a scope from the given memento
`ISynchronizeScope`
SubscriberParticipant.`getScope()`
Return the scope that defines the resources displayed by this participant.
Methods in org.eclipse.team.ui.synchronize with parameters of type ISynchronizeScope
Modifier and Type
Method
Description
`protected abstract SubscriberParticipant`
SubscriberParticipantWizard.`createParticipant(ISynchronizeScope scope)`
Method called from `SubscriberParticipantWizard.createParticipant()` to create a `SubscriberParticipant` for the given scope.
`protected static void`
AbstractSynchronizeScope.`saveScope(ISynchronizeScope scope, IMemento settings)`
Save the scope to the given memento
Constructors in org.eclipse.team.ui.synchronize with parameters of type ISynchronizeScope
Modifier
Constructor
Description
``
`SubscriberParticipant(ISynchronizeScope scope)`
Constructor which should be called when creating a participant whose resources are to be scoped.